# testgtkcrystalviewer.c File Reference

`#include <gcu/gtkcrystalviewer.h>`
`#include <gcu/chemistry.h>`
`#include <glib.h>`
`#include <gtk/gtk.h>`
`#include <stdio.h>`
`#include <libxml/parser.h>`

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])

## Detailed Description

A simple sample of the use of the GtkCrystalViewer widget.

Definition in file testgtkcrystalviewer.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

main function of the test program. It fulfills the following operations, in order:

- initialize Gt and GnomeVFS;
- loads atomic radii.
- build the widow embedding the sample GtkCrystalViewer.
- build the GtkCrystalViewer with either a file from the command line or the default nickel.gcrystal provided with the sources.
- shows everything and enter gtk_main().

Definition at line 21 of file testgtkcrystalviewer.c.

References gcu_element_load_databases(), and gtk_crystal_viewer_new().